require('dotenv').config();
module.exports = {


    friendlyName: 'Delete',


    description: 'Delete admin.',


    inputs: {
        /* id:{
           type:'number',
           required: true
         },*/
        codeMatiere: {
            type: 'string',
            required: true
        },

        codeEcole: {
            type: 'string',
            required: true
        },
        matricule: {
            type: 'string',
            required: true
        },
        codeClasse: {
            type: 'string',
            required: true
        },

        anneeScolaire: {
            type: 'string',
        },

        trimSem: {
            type: 'string',
        },

        codMoy: {
            type: 'string',
        },

        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },
    },


    exits: {
        notFound: {
            description: "Not found"
        }
    },


    fn: async function (inputs, exits) {

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////

        let attributionNoteMoyenne = await AttributionNoteMoyenne.find({ codeMatiere: inputs.codeMatiere, codeEcole: inputs.codeEcole, codeClasse: inputs.codeClasse, matricule: inputs.matricule, typeNote: inputs.typeNote, anneeScolaire: inputs.anneeScolaire, trimSem: inputs.trimSem, codMoy: inputs.codMoy }).then(_.first)
        if (!attributionNoteMoyenne) {

            return exits.notFound({ message: "Cette Attribution n\'existe pas, veuillez la modifier!" })
        }

        let attributionNoteMoyenneDestroy = await AttributionNoteMoyenne.destroy({ id: attributionNoteMoyenne.id }).fetch();

        // All done.
        return exits.success({ message: 'Done !' })

    }


};
